# Create a note for agents Creates a note addressed to the agents assigned for a specific trip. Agent notes are used to communicate trip-related information to agents handling the trip, such as special instructions, updates made on the booking, or any unresolved issues reported by the traveler. Use this endpoint to: - Add a note to a trip so the agents working on it will have all the latest information about the trip. - Use the optional pnrId field in the request body to link a note to a specific PNR within a trip. Endpoint: POST /v2/trips/{tripId}/agent-notes Version: v2 Security: Bearer ## Path parameters: - `tripId` (string, required) Trip Id Example: "6926658168" ## Request fields (application/json): - `pnrId` (string) Pnr ID (optional) Example: "6789533589" - `note` (string, required) Note message Example: "An agent task has been created." ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 201 fields